Bug 490028 - Review Request: pytc - Python bindings for Tokyo Cabinet
Review Request: pytc - Python bindings for Tokyo Cabinet
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 17:20 EDT by Silas Sewell
Modified: 2009-03-31 03:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 03:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Silas Sewell 2009-03-12 17:20:38 EDT
Spec URL:
http://silassewell.googlecode.com/svn/trunk/projects/packages/rpms/python-tokyocabinet/python-tokyocabinet.spec
SRPM URL:
http://silassewell.googlecode.com/files/python-tokyocabinet-0.7-1.src.rpm
Description: 
Python bindings for Tokyo Cabinet.

I'll need a sponsor.
Comment 1 Mamoru TASAKA 2009-03-23 11:44:05 EDT
Some notes:

* %define -> %global
  - Now Fedora suggests to use %global instead of %define, especially
    for the nested macro definition. ref:
    https://fedoraproject.org/wiki/Packaging/Python#System_Architecture
    https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define
    (The latter one says "Draft", however it is already accepted by
    FESCo).

* Naming
  - Fedora prefers to use the tarball name as rpm name as
    much as possible. For this package I recommend to use
    "pytc" as rpm name.

* Requires
----------------------------------------------------------
Requires:       python >= 2.3
Requires:       tokyocabinet
----------------------------------------------------------
  - Both of these are unnecessary. These dependencies are
    automatically pulled in by libraries' dependencies
    caught by rpmbuild itself.
Comment 3 Mamoru TASAKA 2009-03-27 11:22:58 EDT
This one can be accepted.

---------------------------------------------------
  This package (pytc) is APPROVED by mtasaka
---------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 4 Silas Sewell 2009-03-27 11:45:00 EDT
Thanks Mamoru, I have requested sponsorship and my FAS username is "silas".
Comment 5 Mamoru TASAKA 2009-03-27 12:01:14 EDT
Okay, now I am sponsoring you. Please follow "Join" wiki
again.
Comment 6 Silas Sewell 2009-03-28 02:11:00 EDT
New Package CVS Request
=======================
Package Name: pytc
Short Description: Tokyo Cabinet Python bindings
Owners: silas
Branches: 
InitialCC:
Comment 7 Kevin Fenzi 2009-03-30 17:50:03 EDT
cvs done.
Comment 8 Silas Sewell 2009-03-31 03:39:36 EDT
Build for F-11, closing.

Thanks Mamoru and Kevin.

Note You need to log in before you can comment on or make changes to this bug.